﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Spread_Win_Theme
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            FarPoint.Win.Spread.CellType.DateTimeCellType objDateCell = new FarPoint.Win.Spread.CellType.DateTimeCellType();
            objDateCell.SpinButton = true;
            objDateCell.DateTimeFormat = FarPoint.Win.Spread.CellType.DateTimeFormat.UserDefined;
            objDateCell.UserDefinedFormat = "HH:mm";
            objDateCell.TimeSeparator = ":";
            objDateCell.MinimumTime = TimeSpan.Parse("00:00:00");
            objDateCell.MaximumTime = TimeSpan.Parse("23:59:59.9999999");
            int year = DateTime.Now.Year;
            int month = DateTime.Now.Month;
            int day = DateTime.Now.Day;
            objDateCell.TimeDefault = new System.DateTime(year, month, day, 0, 0, 0);
            fpSpread1.Sheets[0].Columns[1].CellType = objDateCell;
            fpSpread1.Sheets[0].Columns[1].Width = 200;
        }
    }
}
